Bug 247305 - smoltSendProfile fails in Swedish locale
smoltSendProfile fails in Swedish locale
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On: 301271
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-06 15:34 EDT by Anders Widell
Modified: 2008-06-16 21:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:49:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders Widell 2007-07-06 15:34:02 EDT
Description of problem:
Smolt fails with "IndexError: list index out of range" when used in Swedish locale.


Version-Release number of selected component (if applicable):
smolt-0.9.8.1-1.fc7


How reproducible:
always

Steps to Reproduce:
1. LANG=sv_SE.UTF-8 smoltSendProfile -p
2.
3.
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 30, in <module>
    from i18n import _
  File "/usr/share/smolt/client/i18n.py", line 32, in <module>
    t = gettext.translation('smolt', fallback = True)
  File "/usr/lib/python2.5/gettext.py", line 478, in translation
    t = _translations.setdefault(key, class_(open(mofile, 'rb')))
  File "/usr/lib/python2.5/gettext.py", line 180, in __init__
    self._parse(fp)
  File "/usr/lib/python2.5/gettext.py", line 314, in _parse
    plural = v[1].split('plural=')[1]
IndexError: list index out of range


Expected results:
<printout of profile information>


Additional info:
Comment 1 Mike McGrath 2007-07-06 15:46:44 EDT
Confirmed, I'm seeing that too.
Comment 2 Doncho N. Gunchev 2007-08-05 16:44:33 EDT
With Bulgarian locale 'smoltSendProfile --help' dies too:
[root@mr700 ~]# smoltSendProfile --help
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 78, in <module>
    (opts, args) = parser.parse_args()
  File "/usr/lib/python2.5/optparse.py", line 1378, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1418, in _process_args
    self._process_long_opt(rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1493, in _process_long_opt
    option.process(opt, value, values, self)
  File "/usr/lib/python2.5/optparse.py", line 782, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib/python2.5/optparse.py", line 804, in take_action
    parser.print_help()
  File "/usr/lib/python2.5/optparse.py", line 1648, in print_help
    file.write(self.format_help().encode(encoding, "replace"))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 187: 
ordinal not in range(128)

If I set LANG to 'en_US.UTF8' or just 'C' it works.
Comment 3 Mike McGrath 2007-09-21 16:12:18 EDT
Bulgarian translation should be fixed with the most recent version. the
sv_SE.UTF-8 issue is actually a problem in the translation.  Sorry its taken so
long to fix these things Im' pretty clueless when it comes to translations.
Comment 4 Bug Zapper 2008-05-14 09:26:36 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:49:12 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.